Read a contact list
GET
/v1/contact-lists/{list_id}
const url = 'https://api.vocapable.com/v1/contact-lists/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://api.vocapable.com/v1/contact-lists/example \ --header 'Authorization: Bearer <token>'Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”list_id
required
List Id
string
Responses
Section titled “Responses”Successful Response
Media typeapplication/json
ContactListSummary
object
id
required
Id
string
name
required
Name
string
source
required
Source
string
consent_basis
Any of:
ConsentBasis
CANON fact 18 - the four consent classes (docs/07-compliance.md §consent).
string
null
contact_count
required
Contact Count
integer
created_at
required
Created At
string format: date-time
updated_at
required
Updated At
string format: date-time
Example
{ "source": "upload", "consent_basis": "pewc"}Validation Error
Media typeapplication/json
HTTPValidationError
object
detail
Detail
Array<object>
ValidationErrorobject
loc
required
Location
Array
msg
required
Message
string
type
required
Error Type
string
input
Input
ctx
Context
object
Examplegenerated
{ "detail": [ { "loc": [ "example" ], "msg": "example", "type": "example", "input": "example", "ctx": {} } ]}